# norootforbuild

%define pluginversion 1.0.4
%define pluginname xineliboutput
%define pluginurl http://sourceforge.net/projects/xineliboutput/
#
%define plugindir %pluginname-%pluginversion
%define plugintarball http://switch.dl.sourceforge.net/sourceforge/xineliboutput/vdr-%pluginname-%pluginversion.tgz
#
%define pkgversion %pluginversion

Name:           vdr-plugin-xineliboutput
Version:        %pkgversion
Release:        5.6
Source:         %plugintarball
Source1:        remote.conf
Patch0:         xineliboutput-1.0.4-const.diff
Patch1:         xineliboutput-1.0.4-libpthread.diff
Patch2:         xineliboutput-1.0.4-optflags.diff
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
Summary:        VDR %pluginname plugin
License:        GPLv2 or later
Group:          Hardware/TV
BuildRequires:  vdr-devel gcc-c++
BuildRequires:  pkg-config xorg-x11-devel libjpeg-devel libxine-devel
PreReq:         vdr(abi) = %{vdr_apiversion}
URL:            %pluginurl
# only needef for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion

%description
%vdrname %pluginname plugin

%prep 
%setup -q -n %plugindir
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %{SOURCE1} .

%build
%vdr_make

%install
%vdr_install_plugin %pluginname
%vdr_install_plugin_locale
# xine plugins
%vdr_make DESTDIR="$RPM_BUILD_ROOT" install
#
for i in fbfe sxfe; do
  install -m644 libxineliboutput-$i.so %buildroot%vdr_libdir/libxineliboutput-$i.so.%version
done
#
%find_lang vdr-%pluginname

%clean
rm -rf "${RPM_BUILD_ROOT}"

%post
if [ -e %_docdir/%name/remote.conf ] && ! grep -q XKeySym %{vdr_sysconfdir}/remote.conf; then
	cat %_docdir/%name/remote.conf >> %{vdr_sysconfdir}/remote.conf
fi

%files -f vdr-%pluginname.lang
%defattr(-,root,root)
%doc COPYING HISTORY README 
%doc remote.conf
%{vdr_libdir}/*
/usr/bin/vdr-fbfe
/usr/bin/vdr-sxfe
%{_libdir}/xine/plugins/*/*
%changelog
* Tue Feb 14 2012 lnussel@suse.de
- add patch from Manfred Hollstein that adds -lpthread to fix build
* Mon Aug  2 2010 lnussel@suse.de
- install frontend libraries (bnc#625399)
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- update to 1.0.4
- fix build failures due to char* casts
* Fri Dec  5 2008 lnussel@suse.de
- initial package version 1.0.3
